Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.capabilities
Class ElevationModel

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.capabilities.ElevationModel

    public class ElevationModel

extends Object

This class represents an `ElevationModel` object. This elevation model object may be either an OGC-ElevationModel or a deegree-ElevationModel. The OGC-ElevationModel is created from and contains only a String. The deegree-ElevationModel is created from and contains a String and an AbstractDataSource object.

Author:
  Judit Mays, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Constructor Summary
`ElevationModel(String name)` Creates a new OGC `ElevationModel` object from name.
`ElevationModel(String name, AbstractDataSource[] dataSources)` Creates a new deegree `ElevationModel` object from name and dataSources.

Method Summary
`AbstractDataSource[]` | `getDataSources()`
`String` | `getName()`
`Dataset` | `getParentDataset()`
`void` | `setParentDataset(Dataset parentDataset)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElevationModel

    public ElevationModel(String name)

  Creates a new OGC `ElevationModel` object from name.

  Parameters:
    `name` -

### ElevationModel

    public ElevationModel(String name,
                          AbstractDataSource[] dataSources)

  Creates a new deegree `ElevationModel` object from name and dataSources.

  Parameters:
    `name` -
    `dataSources` - for this ElevationModel

Method Detail

### getDataSources

    public AbstractDataSource[] getDataSources()

  Returns:
    Returns an array of dataSources.

### getName

    public String getName()

  Returns:
    Returns the name.

### getParentDataset

    public Dataset getParentDataset()

  Returns:
    the Dataset of this elevationmodel

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setParentDataset

    public void setParentDataset(Dataset parentDataset)

  Parameters:
    `parentDataset` - the new parent Dataset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org